Subject: Re: [PATCH net] i40e: Fix I40E_FLAG_VF_VLAN_PRUNING value

From: Simon Horman <[email-masked]>
Date: Thu, 19 Oct 2023 11:15:17 +0200

On Wed, Oct 18, 2023 at 01:26:20PM +0200, Ivan Vecera wrote:
> Commit c87c938f62d8f1 ("i40e: Add VF VLAN pruning") added new
> PF flag I40E_FLAG_VF_VLAN_PRUNING but its value collides with
> existing I40E_FLAG_TOTAL_PORT_SHUTDOWN_ENABLED flag.
> 
> Move the affected flag at the end of the flags and fix its value.
> 
> Cc: Mateusz Palczewski <[email-masked]>
> Signed-off-by: Ivan Vecera <[email-masked]>

Hi Ivan,

I agree with the correctness of this patch and that it was
introduced by the cited commit.

However, I do wonder if, as a fix for 'net':

1) The patch description could include some discussion of
   what problem is resolved, and, ideally, how I user might
   get into such a situation.

2) The following fixes tag is appropriate.

Fixes: c87c938f62d8 ("i40e: Add VF VLAN pruning")

...